<?xml version="1.0" encoding="utf-8"?>

<spec_type>
  <kind>
      common_env
  </kind>

  <init_code>
      $[clutter_init];
  </init_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      GValueArray*
  </data_type>

  <init_code>
      init_GValueArray($0);
  </init_code>

  <global_code>
      void init_GValueArray(GValueArray* array)
      {
          GValue value = {0};
          g_value_init (&value, G_TYPE_STRING);
          g_value_array_append(array, &value);
          g_value_array_append(array, &value);
      }
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      GObject*
  </data_type>

  <value>
      g_object_new(G_TYPE_OBJECT, NULL)
  </value>

  <global_code>
      #include <glib.h>
  </global_code>
</spec_type>