<?xml version="1.0" encoding="utf-8"?>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      struct zip_source*
  </data_type>

  <value>
      $[zip_source_file]
  </value>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      char const*
  </data_type>

  <value>
      TG_TEST_DATA_TEXT_FILE
  </value>

  <associating>
    <interfaces>
      zip_fopen
      zip_add
    </interfaces>
    <links>
        param2
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      int
  </data_type>

  <value>
      ZIP_FL_UNCHANGED
  </value>

  <associating>
    <interfaces>
      zip_fopen
    </interfaces>
    <links>
        param3
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      int
  </data_type>

  <value>
      ZIP_CREATE
  </value>

  <associating>
    <interfaces>
      zip_open
    </interfaces>
    <links>
        param2
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      struct zip*
  </data_type>

  <final_code>
      $[zip_add];
  </final_code>

  <associating>
    <interfaces>
      zip_open
    </interfaces>
    <links>
        retval
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      int
  </data_type>

  <value>
      0
  </value>

  <associating>
    <interfaces>
      zip_source_file
    </interfaces>
    <links>
        param4
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      char const*
  </data_type>

  <value>
      TG_TEST_DATA_TEXT_FILE
  </value>

  <associating>
    <interfaces>
      zip_source_file
    </interfaces>
    <links>
        param2
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      char const*
  </data_type>

  <value>
      "testdata/sample.zip"
  </value>

  <associating>
    <interfaces>
      zip_open
    </interfaces>
    <links>
        param1
    </links>
  </associating>
</spec_type>