<?xml version="1.0" encoding="utf-8"?>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      int
  </data_type>

  <value>
      SPEEX_GET_FRAME_SIZE
  </value>

  <associating>
      <interfaces>
        speex_echo_ctl
        speex_decoder_ctl
        speex_encoder_ctl
      </interfaces>
      <links>
          param2
      </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      int
  </data_type>

  <value>
      SPEEX_MODE_FRAME_SIZE
  </value>

  <associating>
      <interfaces>
        speex_mode_query
      </interfaces>
      <links>
          param2
      </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      char*
  </data_type>

  <value>
      TG_TEST_DATA_FILE
  </value>

  <associating>
      <interfaces>
        speex_packet_to_header
      </interfaces>
      <links>
          param1
      </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      int
  </data_type>

  <value>
      SPEEX_LIB_GET_MAJOR_VERSION
  </value>

  <associating>
      <interfaces>
        speex_lib_ctl
      </interfaces>
      <links>
          param1
      </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      int
  </data_type>

  <value>
      JITTER_BUFFER_GET_AVALIABLE_COUNT
  </value>

  <associating>
      <interfaces>
        jitter_buffer_ctl
      </interfaces>
      <links>
          param2
      </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      int
  </data_type>

  <value>
      SPEEX_PREPROCESS_SET_AGC
  </value>

  <associating>
      <interfaces>
        speex_preprocess_ctl
      </interfaces>
      <links>
          param2
      </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      void*
  </data_type>

  <value>
      $[speex_decoder_init]
  </value>

  <associating>
      <interfaces>
        speex_decode
        speex_decode_int
        speex_decoder_ctl
        speex_decoder_destroy
      </interfaces>
      <links>
          param1
      </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      void*
  </data_type>

  <value>
      $[speex_encoder_init]
  </value>

  <associating>
      <interfaces>
        speex_encode
        speex_encode_int
        speex_encoder_ctl
        speex_encoder_destroy
      </interfaces>
      <links>
          param1
      </links>
  </associating>
</spec_type>

<spec_type>
  <lib_version>
      <=0.1.0
      >=0.0.3
  </lib_version>

  <kind>
      normal
  </kind>

  <data_type>
      void*
  </data_type>

  <value>
      $[decoder_init]
  </value>

  <associating>
      <interfaces>
        decode
      </interfaces>
      <links>
          param1
      </links>
  </associating>
</spec_type>

<spec_type>
  <lib_version>
      >=0.1.1
  </lib_version>

  <kind>
      normal
  </kind>

  <data_type>
      SpeexBits*
  </data_type>

  <final_code>
      speex_bits_read_whole_bytes($0, "abcde", 5);
  </final_code>

  <associating>
      <interfaces>
        speex_bits_init
      </interfaces>
      <links>
          param1
      </links>
  </associating>
</spec_type>

<spec_type>
  <lib_version>
      <=0.1.0
  </lib_version>

  <kind>
      normal
  </kind>

  <data_type>
      FrameBits*
  </data_type>

  <final_code>
      speex_bits_read_whole_bytes($0, "abcde", 5);
  </final_code>

  <associating>
      <interfaces>
        speex_bits_init
      </interfaces>
      <links>
          param1
      </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      int
  </data_type>

  <value>
      SPEEX_MODEID_NB
  </value>

  <associating>
      <interfaces>
        speex_lib_get_mode
      </interfaces>
      <links>
          param1
      </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      void*
  </data_type>

  <value>
      0
  </value>

  <associating>
      <interfaces>
        speex_std_char_handler
        speex_std_enh_request_handler
        speex_std_high_mode_request_handler
        speex_std_low_mode_request_handler
        speex_std_mode_request_handler
        speex_std_vbr_quality_request_handler
        speex_std_vbr_request_handler
      </interfaces>
      <links>
          param2
      </links>
  </associating>

  <associating>
      <interfaces>
        speex_inband_handler
      </interfaces>
      <links>
          param3
      </links>
  </associating>
</spec_type>

